Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/interactions \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"customerRef": "123",
"caseId": 1001 ,
"channel": "EMAIL",
"direction": "INBOUND",
"reasonCode": "PAYMENT_QUESTION",
"verificationState": "NOT_APPLICABLE",
"contentSummary": "Customer asks why a payment did not post."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/interactions` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"customerRef": "123",
"caseId": 1001 ,
"channel": "EMAIL",
"direction": "INBOUND",
"reasonCode": "PAYMENT_QUESTION",
"verificationState": "NOT_APPLICABLE",
"contentSummary": "Customer asks why a payment did not post."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/interactions" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"customerRef": "123",
"caseId": 1001 ,
"channel": "EMAIL",
"direction": "INBOUND",
"reasonCode": "PAYMENT_QUESTION",
"verificationState": "NOT_APPLICABLE",
"contentSummary": "Customer asks why a payment did not post."
},
)201 400 401 403 404 409
{
"interactionId": 3001 ,
"status": "COMPLETED",
"resourceId": 3001
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}